require "jekyll"

class AnecdoteTag < Liquid::Tag
  def initialize(tag_name, text, tokens)
    super
    @text = text
  end

  def render(context)
    /([^|]+)\|(.+)/.match @text.strip
    "<sup class=\"tooltip\">[#{$1}]<span>#{$2}</span></sup>"
  end

  Liquid::Template.register_tag "anecdote", self
end